Generate new Lilt Create content
curl --request POST \
--url https://api.lilt.com/v2/create \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"language": "<string>",
"template": "<string>",
"templateParams": {
"language": "<string>",
"contentLength": 123,
"memoryId": 123,
"sections": [
"<string>"
],
"summary": "<string>"
},
"name": "<string>",
"preferences": {
"tone": "<string>",
"styleguide": "<string>"
}
}
'import requests
url = "https://api.lilt.com/v2/create"
payload = {
"language": "<string>",
"template": "<string>",
"templateParams": {
"language": "<string>",
"contentLength": 123,
"memoryId": 123,
"sections": ["<string>"],
"summary": "<string>"
},
"name": "<string>",
"preferences": {
"tone": "<string>",
"styleguide": "<string>"
}
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
language: '<string>',
template: '<string>',
templateParams: {
language: '<string>',
contentLength: 123,
memoryId: 123,
sections: ['<string>'],
summary: '<string>'
},
name: '<string>',
preferences: {tone: '<string>', styleguide: '<string>'}
})
};
fetch('https://api.lilt.com/v2/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data."<string>"{
"message": "Internal server error."
}Create
Generate new Lilt Create content
Generate new Lilt Create content with the given parameters.
Example CURL:
curl -X POST 'https://api.lilt.com/v2/create?key=API_KEY' \
--header 'Content-Type: application/json' \
--data-raw '{
"language":"en-US",
"template":"blog-post",
"templateParams":{
"contentLength":"100",
"language":"en-US",
"sections":[],
"summary":"a blog post about hiking"
},
"preferences":{"tone":"formal","styleguide":""}
}'
POST
/
v2
/
create
Generate new Lilt Create content
Authorizations
BasicAuthApiKeyAuth
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Body
application/json
Input parameters that determine what content will be generated.
Content Parameters for LiltCreate.
The language of the content.
The template of the content.
The template parameters of the content.
Show child attributes
Show child attributes
A name for the request content.
The preferences of the content.
Show child attributes
Show child attributes
Response
Was this page helpful?
⌘I

